SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000836supertux-contrib[supertux] Levels and Worldmapspublic2011-08-15 11:022015-10-16 14:10
Reporterniso 
Assigned Tolmh 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Summary0000836: Yeti's Revenge (new levelpack + worldmap)
DescriptionToday I will release my brand new levelpack "Yeti's Revenge". Over 30 levels, one worldmap and 2 (!) storylines! Maybe you saw the "trailer" on youtube.

Please read the README!
Note that there are some new files, which you have to move to the right place!

Try to collect all coins and find every secret place!

Difficulty: Sometimes much harder than the original game - BUT NOT IMPOSSIBLE! (The same applies to the collection of coins)

Please tell me what you think. And let me know when you find bugs or grammar errors in dialogues.

Have fun!
niso
TagsAttachedFiles
Attached Fileszip file icon niso's addon.zip [^] (3,692,050 bytes) 2011-08-15 11:02
zip file icon yetis_revenge_full.zip [^] (3,824,153 bytes) 2011-08-15 15:24
zip file icon yr-coin_demo.zip [^] (3,840,075 bytes) 2011-08-24 14:57
zip file icon yr-fishbox_demo.zip [^] (3,840,534 bytes) 2011-09-02 16:25
zip file icon yr-fishbox_counter_demo.zip [^] (3,878,584 bytes) 2011-09-06 14:07
zip file icon yr-fishbox_counter_demo_2.zip [^] (3,892,872 bytes) 2011-09-08 23:37
zip file icon yr-fishbox_counter_demo_3.zip [^] (3,880,735 bytes) 2011-09-09 13:02
zip file icon yr-fishbox_counter_demo_4.zip [^] (3,880,809 bytes) 2011-09-09 16:25
zip file icon yr-fishbox_found_demo.zip [^] (3,362,579 bytes) 2011-09-10 14:33
zip file icon default.nut.zip [^] (1,794 bytes) 2011-09-13 13:40
zip file icon do_not_download.zip [^] (3,952,570 bytes) 2011-09-24 15:56
zip file icon YETIS_REVENGE_updated.zip [^] (3,952,570 bytes) 2011-09-25 11:32
zip file icon YETIS_REVENGE_update2.zip [^] (4,087,403 bytes) 2011-10-01 14:10
zip file icon YETIS_REVENGE_update3.zip [^] (4,087,943 bytes) 2012-03-22 19:57
zip file icon YETIS_REVENGE_update4.zip [^] (4,035,747 bytes) 2013-01-09 20:41

- Relationships
related to 0000646closed A new Level with ships 

-  Notes
(0002511)
lmh (administrator)
2011-08-15 15:23

The quality of your levels is exceptional- you do an excellent job utilizing the available graphics and the levels are very sophisticated. I really enjoy some of the new mechanics (I won't go into detail so as to not spoil anything).

Normally I'd wait until finishing playing the set to comment, however I wanted to let you know it's possible to make your set entire self-contained (i.e. no need to manually install images and sprites). This means that only a zip file is needed. I'll upload a modification which only needs to be dropped into the supertux2 directory. So far it works great for me, but you may want to double check that I did it properly. It makes the addon much more accessible.
(0002512)
niso (reporter)
2011-08-15 15:52

Thank you for your comment!

I didn't know that this is possible... This modification is awesome. You save other people to waste their time ;)

I don't have the time to check the file, yet. I trust you... I saw something like that in you levelpack. It worked for yours, why not for mine.

Thank you so much!
_____________________________________

So @all: You only have to download yetis_revenge_full.zip and move it (without unpacking) to your supertux2 directory... Who wants can rename the README to READMENOT :D

(Am I right, lmh?)
(0002513)
niso (reporter)
2011-08-16 04:08

What do you think... Should it be added to the addons? Or is it not possible because of the new objects?
(0002515)
mol1 (reporter)
2011-08-16 06:29

If you want I can tranlate it in french ?


I must unzip the archive at the root of my ST2 directory ?? Or in another folder ??
(0002516)
niso (reporter)
2011-08-16 07:40

Translate it...why not...it would be great...
To play Yetis Revenge, just move the yetis_revenge_full.zip to your Supertux2 directory... DO NOT UNZIP THE FILE!

If it does not work, please tell me...
(0002517)
mol1 (reporter)
2011-08-16 08:23

Ok for the translation !
Must I place the archive at the root ? Thanks !
(0002519)
mol1 (reporter)
2011-08-16 08:24

Good levels and a cool story, that's great !
(0002523)
hume2 (administrator)
2011-08-19 07:11

I got to the last level and skullyhops always pushed me trough floor.
(0002524)
niso (reporter)
2011-08-19 08:33

They pushed you through the floor? Hm...i don't know why... for me it works...

But: This is only the last level from the main story... do you have played the side story?
(0002525)
giby (administrator)
2011-08-19 08:40

Some good levels, few text correction to add and some modification should make of this a good add on
(0002526)
niso (reporter)
2011-08-19 09:11

Please tell me which level you like and which not... (not only giby)

I've done some grafic-change in the level "Living Spikes"... I will upload it later... Giby+team will do a french translation. When they are finished... I will make german one...

Does anyone already played "Still Waters Run Deep" or "No Bridge Out There".
(0002528)
lmh (administrator)
2011-08-19 17:14

I too suffer from the skullyhops pushing me through the floor during the introduction to the end boss fight. I think I know the problem though because I succumbed to a similar error in the past. I think that you may have tested/built the set using a not quite up-to-date SVN version of SuperTux. Once you run the SVN update you need to rebuild the application, otherwise you only update the files accessible in the data directory (images, audio, sprites, etc.) and not changes in functionality (for example the skullyhops no longer kill each other, but instead tend to push each other (currently it results in them pushing through unisolid surfaces when one lands on top of another which is what I think is happening)). Anyway if I'm not mistaken, you have updated to the most recent SVN which results in the game looking like it's updated, but you haven't rebuilt it resulting in abnormal behavior (you're working with some sort of hybrid version of the game).

Am I correct that the side story is only accessible after defeating the yeti? I managed to take a glimpse of it, but only after cheating past the yeti since I cannot pass the cut scene. I suspect many may not be able to reach it for this reason. I've got some other comments, but I think they may relate to the same SVN build issue so will hold on until this is figured out.

Speaking of the cut scenes, I'd suggest placing a firefly directly following their trigger regions whenever feasible. It can become fairly annoying to wait through a cut scene, soon after die and then have to watch the cut scene again.

Another thing you might consider looking into is adding a counter for the blue coins. You should be able to do something based off of the code used for the forest level keys. There was also a player-made level that collected crystals a while back (https://supertux.lethargik.org/bugs/view.php?id=619 [^]) that might also be helpful.

I really enjoy the new features such as the coin rain, specialty blocks, and timed puzzles. They are well executed and quite enjoyable.
(0002529)
niso (reporter)
2011-08-20 03:45

Supertux Version:
You're right. Sorry for that. I think I have something like a hybrid version. I don't know how to built supertux correctly. IT'S TIME FOR A NEW SNAPSHOT! It can't be so difficult to find someone, who has the recent version, and upload all his files anywhere... For most potential supertux-players it's too difficult to built it via SVN. PLEASE CREATE A NEW SNAPSHOT. It would be easier for all of us!

Bonus Area:
I placed a script next to the Yeti which set the alpha-value of one tilemap to 0. Then you can see a way to the first bonus-level. For me it works correctly...
I can't fix it becaue I don't have the right Supertux version...

Cut Scenes:
I know the problem. But I don't know a soultion. It must be possible to create something like that: Pressing spacebar cause a fast forward - or somthing like that...
I can't do it, because i cannot program squirrel.

Blue Coins:
The levelpack looks nice. How can I install it?
I cannot program with squirrel so I cannot add a counter or something like that.
But I would be nice...
My first idea was to hide a fishbox in every level. Finding them all should unhide the bonus-area.
(0002530)
lmh (administrator)
2011-08-20 17:40

The bonus area triggers just fine, but only after passing the Yeti. What I meant was that due to the mixed version issue the Yeti cannot be passed and therefore people will not be able to reach the trigger point and test out the bonus area.

I was just thinking of placing a bell at some point soon after the cut scenes, but you're right that having the functionality to speed it up or skip it would be much better. I was just thinking that there could be a clever way to do it using scripts and save points.

I might look into the blue coin counter idea a little once I finish my current project. I can't remember what I had to do to get that level working- it might have been a pain. I do remember they were able to get a graphic to display at the top of the screen, so I'll have to see what I can figure out.
(0002531)
Luis (reporter)
2011-08-22 10:48

a bad level named: blue mountain

a bad level named: more of blue mountain
(0002534)
niso (reporter)
2011-08-23 08:40

@Luis: Please tell me why.

@all: Could someone upload his recent supertux version for me... I can't solve your problems without the latest supertux. And building via SVN is to difficult I think...
(0002540)
niso (reporter)
2011-08-24 02:18

For my supertux version, I've downloaded from these sites with TortoiseSVN:

http://supertux.lethargik.org/svn/supertux/trunk/supertux [^]

http://supertux.lethargik.org/svn/supertux/trunk/supertux-editor [^]
(0002543)
lmh (administrator)
2011-08-24 14:56

I put together a little script to track the blue coins and will upload a demo. In the demo, only three levels have it working: "Leaving Home And Start The Journey," "Through The Groundwater," and "A Wonderful Day" so you can check it out there.

I will leave it to you if you want to implement it to the rest of the levels. You need to do three things to make it work with your current setup:
1) set up an initialization script that imports the squirrel script and then run the initialization function at the start of the first sector
2) modify the existing coin scripts to include the function for finding the coin
3) levels with multiple sectors need the code imported and the display function ran in their initialization script

See the three levels I tweaked, and duplicate the code in those places.

There is one (known) issue with levels containing save points in different sectors remembering the coin count after Tux dies. Ideally these secondary sectors would run the initialization function at the start but only if the elapsed game time is zero- but alas, I do not know how to access current game stats. Running the initialization by default is worse because it clears out the coins obtained thus far, so I left it as is (the suckers who die can deal with the bugs).


You're downloading the SVN from the right spot, but the trick is in rebuilding. I have not had success in building on a Windows platform, so I can't really help you there.. sorry
(0002546)
treskalle (reporter)
2011-08-27 08:11

I've just played through the first three levels, and I think they are better than all other SuperTux-levels ever made! VERY good work!
(0002547)
user767
2011-08-27 08:56

@niso: I spent more than 2 hours yestarday night on compiling the svn on Windoze. worst nightmare ever. The result can be seen here, I tested it successfully on XP and Win7 in Vbox and in Wine:

http://rgcjonas.square7.ch/stbuilds/ [^]

At least it made me love my linux much more. Next time I'll try cross-compiling.
(0002548)
niso (reporter)
2011-08-27 09:39

@treskalle: Thank you. I will fix the levels later.

@jonaskuem: OMG, you're an angel or something like that. I will try whether it works today but later. THANK YOU SO MUCH. Anybody has to put this snapshot on the supertux wiki. That's what I'm talking about! Great, really. There will be a lot of new supertux player - believe me!
(0002550)
niso (reporter)
2011-08-27 14:41

@lmh: I've tried your blue-coin-demo. It's nice. I'll implete this to the other levels.

My first idea was to unlock the bonus-levels when Tux finds a fishbox in every level. Do you think something like that is possible, too...
(0002551)
lmh (administrator)
2011-08-27 17:54

@niso: Absolutely. It will require a similar approach. In fact I'm pursuing a similar mechanic myself (actually your successful use of revealing on the worldmap renewed my interest- I had tried to do the same thing but approached it backwards, in retrospect it makes sense but I tend to get absent minded). I'd be happy to share the method or even adapt it for your specific purpose. I'll let you know if I get it working.
(0002559)
niso (reporter)
2011-08-29 10:32

Nice... Now shortfuse is working for me. I will add some of them in my levels. I will not use owl, they're for the forest world - in my opinion.

No I know why there were problems with the underwater-passage of the level "Through the Groundwater". I will change it.

Additionally, I will replace the level "Hail Storm". It is not working very well with the new behaviour of mr. iceguy.
(0002572)
mol1 (reporter)
2011-08-31 02:18

An little error : in the 'yeti's revenge' last level (with the yéti) there is an error in a dialog : yéti :the fact I'm to[o!] loud for your beloved .....

i think you shoud make the value to the four dispenser to 20 because else tux dies too quikly, and this is a bit impossible ...

I will finish the traduction : where must i place the fr.po file in the .zip file 'yeti's revenge full' ?
(0002574)
rgcjonas (reporter)
2011-08-31 02:45

@mol1: place the .po files in the folder with the levels. Be aware it may not work by now because lisp::Parser doesn't use PhysFS (which is needed for accessing the zip files) for the translation, see also 0000842.
(0002592)
niso (reporter)
2011-09-02 05:19

@lmh: I decided not to use the counter for the blue coins. It looks good, but it's not necessary.

But I would like to have the "fishbox-feature".
(0002595)
lmh (administrator)
2011-09-02 16:24

@niso: No worries about the counter- I too like how it looks and may implement it somewhere else someday, for now it was a worthy challenge for me to figure out how to do a little more programming on the game.

Good news regarding the "fishbox-feature," what I've been able to do thus far has worked quite well and was easily adaptable to your needs. As such I will be uploading a demo shortly. What it does is keeps track of each fishbox discovered and once all have been found it reveals the secret area on the map. It also remembers that the area was revealed, so you no longer have to worry about someone exiting the game mid-path and getting stuck. Since the demo doesn't actually have any fishboxes, I put the trigger into the first blue coin on the first five levels (grab each and exit the level to test it quickly).

What you need to know to merge it with your changes:
- The file "default.nut" defines the needed functions and will obviously need to be included. However, you will need to make some changes for full implementation. Open the file (notepad works just fine, but any text editor will do) and at the top there are a list of "fishbox_names" that will have to be edited to include a unique identifier for each fishbox needed to unlock the bonus area.
- I modified the worldmap slightly, it includes an initialization script that will reveal the bonus area when appropriate. Also since there is no longer any need for the scripted tiles to reveal the bonus area, I've gone ahead and removed them. If you've changed the worldmap at all, you will need to repeat the changes I've made in the demo, otherwise just copy it over.
- Individual levels only need the "find_fish(<fishbox_name>)" function called in the script for the fishbox powerup. No need for an initialization with this one.

There are a couple of other things I've thought about that you might want to consider. There are a lot of levels, and thus it may be hard to keep track of which fishboxes have been nabbed. So it might be nice to have some sort of indicator to keep track; not necessarily a counter, but maybe a graphical hint that the fishbox has been found or not (for example having a snowman appear/disappear next to the level on the worldmap, there is a function, "query(<fishbox_name>)", that returns the state of a given fishbox that might help with that). Also the way the code is written right now there is no need to finish the level after getting the fishbox; however, if you wish that the player get the box AND finish the level before it counts you can probably do so by using some clever scripting within the levels.

If you have any problems or questions let me know. I've been able to work with the code so it should be fairly idiot-prof.
(0002596)
rjaguar3 (reporter)
2011-09-02 20:00

In the first level (the cutscene), the word "coming" is misspelled (line 50 in intro.stl). Also, in English, "don't be afraid of me" doesn't have the meaning I presume you intended (it suggests that Penny is afraid of Tux). I think "Don't worry about me" is better (this language makes sense as Tux wants to convince Penny not to be afraid of what might happen with his undertaking).
(0002597)
semajD (reporter)
2011-09-03 12:05

I just got done playing your levels.... wow. Very impressive. These levels are defiantly harder than the original game, but a good challenge. I enjoyed the story line(s) a lot.

One thing I was not fan of: whenever I played a level like The Big Wave or some level like that, it would show a cutscene, show what's happening, and pause the game. Since I am not a very good at playing Supertux, I ended up restarting the level and having to watch the cutscene many times before I beat the level. And after 3 or 4 times, watching a wave come out of a mountain gets a little old.

I don't know if there's a way to deal with a problem like this, but if not, it's not a big deal. I guess I just need to get better ;)

Again, great job. Keep up the good work
(0002599)
Luis (reporter)
2011-09-04 02:06

@ niso sorry I was just frustrated that I could not complete the levels.
(0002600)
Luis (reporter)
2011-09-04 02:09

by the way, great job!!!!!
(0002604)
niso (reporter)
2011-09-04 13:56

@lmh: Thank you so much. I will take a look at it soon.

Quote by lmh: "So it might be nice to have some sort of indicator to keep track; not necessarily a counter, but maybe a graphical hint that the fishbox has been found or not [...]"

That would be nice!
__
@semajD: I don't like it, too. It would be great to skip these cutscenes, but it is not possible til now.
__
@ rjaguar3: Oops, you're right. Thanks!
(0002605)
niso (reporter)
2011-09-04 14:08

@lmh: Oh, i like the new demo!
Some thing you could try to create:

In the level: A grey fishbox which turns into color when Tux finds the Fishbox. Like the blue coins.

In the Worldmap:
- A counter like: 7/25 "Fishbox.png"
- An additional info in the "level-highscores"; I hope you now what I mean...
(0002611)
lmh (administrator)
2011-09-06 14:05

@niso: Capital idea! I don't think that I can do anything with the level statistics, but a counter at the top is within my abilities. I will upload another demo shortly. There's probably a more elegant way to do this than what I've done, but this seems to work. It's similar to the coin counter, so you will need to call the display function in the initialization script of each sector (note I've called a different display function for the worldmap). The demo uses the same first five levels as before, so you'll need to manipulate or delete the profile settings to see it in action (or add more fishboxes). I assumed that you are using the fish powerup graphics, and thus used them for the counter/indicator graphics (the graphics are readily changeable if not).

One thing I've been meaning to mention that I was reminded of while testing that the counter works with different resolutions, and that is that you may want to double check that your cut scenes show what you intend on the lower resolution settings. I seem to remember a couple that seemed to miss the action when I first played through.

I only did minimal testing, so let me know if there are any issues with the counter.
(0002616)
ctdabomb (administrator)
2011-09-07 12:54

Great levels! They are quite difficult but fun to play. Do Not be Afraid is way to hard though on my opinion. I also have the same problem as semajD with the cutscene. Overall though I like your levels a bunch.
(0002619)
Ozemir_Elion (reporter)
2011-09-07 13:11

Niso Hi ... Man, was wondering if you would do me a kind of partnership. It's because you did the "Supertux - Yeti's Revenge", right? And I'm doing "SuperTux X3". But he still could not build on MSYS because of some problems on ... If you accept a partnership with me, we "unite" our two Supertux MODs, creating a spectacular game! Only in my "Supertux X3" has eight worlds, and my specialty is "Super Mario" (graphics, music, etc.), that is, in my mod has lots of graphics and music from Mario, and various levels with "things" Mario ...
And Then, accept?
(0002625)
niso (reporter)
2011-09-08 13:56

@lmh: Could you please take the big grafic of the fishbox?! It should look like this:
- In the level: A (bigger) grey fish in the left (top) which turn into color.
- In the Worldmap: Left, Top, big fish and please take away the "x".

@Ozemir Elion: Hm...there is no need to change the Tux-grafics into Mario-grafics. ^^ Furthermore, IMO it's not allowed to use the Mario-files and grafics for you game... Why don't you use the supertux-tiles? They're great!
(0002627)
lmh (administrator)
2011-09-08 23:35

How's this? That's the large graphic in the order you originally mentioned in addition to the left placement. It can easily be switched with the smaller graphic if it's a bit much (which might be good considering some people may use the lower resolution settings).

Note that the level indicators are only grey when the fishbox has never been found, once it is included in the counter it will always appears colored in the level.
(0002628)
niso (reporter)
2011-09-09 03:25

Now half the size of the fishbox and move it even more into the the left corner. It would be better to change the position of the counter and the fishbox in the worldmap.
(0002629)
niso (reporter)
2011-09-09 03:36

Another idea and maybe impossible to implete:
The worldmap-fishbox could also be grey and only turned into colour when Tux finds the object in the level...
(0002630)
Ozemir_Elion (reporter)
2011-09-09 05:32

@ NISO: Supertux The graphics are good, but why can not I add elements of other games in Supertux?? Since few people "create" new things to supertux ...
(0002631)
Ozemir_Elion (reporter)
2011-09-09 05:35

@ NISO: but for us unite our "Supertux" if you want I take what I added Mario, Then ... or not we?
(0002632)
niso (reporter)
2011-09-09 10:35

@Ozemir Elion: First I will complete Yeti's Revenge ;)
(0002634)
Ozemir_Elion (reporter)
2011-09-09 10:55

@NISO: OK, man!! thankyou!!!
(0002635)
Ozemir_Elion (reporter)
2011-09-09 11:05

@Niso: supertux in compiling, has a part that calls for "SVNVERSION_EXECUTABLE." executable that I choose to put there? remembering that I installed the subversion, the folder it has many executables, I chose the "svn.exe" but not me at all! help me bro?
(0002637)
lmh (administrator)
2011-09-09 13:01

I agree that the changes look much better. I will upload them shortly.

As far as changing the color on the worldmap, I believe all you need to do that is already in place. It will be a bit tedious, but what you will need to do is place a scripted tile at the location of each level which calls the function: display_fishbox(<fishbox_name>). The map will default it to color, but as soon as Tux hits one of the scripted tiles it should change appropriately.
(0002638)
niso (reporter)
2011-09-09 14:48

Could you upload a demo for this function, lmh?
(0002640)
lmh (administrator)
2011-09-09 16:24

Sure. Seems like it works, be sure to reset the profile settings if you want to see the grey.
(0002641)
niso (reporter)
2011-09-09 16:35

Thank you lmh. I will try it tomorrow. I do not know what time it is with you, but I must now go to sleep ;) Good night ^^
(0002642)
niso (reporter)
2011-09-09 16:46

Before I do it, I have to tell you another idea, which will be REALLY hard to implement (IMO):

Tux finds the fishbox in the level...
Then the fishbox in the left corner gets coloured...
When Tux dies, he will not loose the fishbox - it stays coloured!...
-> That describes the present situation

The Problem:
Althoug Tux already found the fishbox, the object will appear again and again.

Following would be great:
When Tux finds the fishbox and dies or plays the level again...only a (maybe) 50%-transparency-version of the fishbox appear which can be collected withour further actions...

So, now...good night!
(0002643)
Anonymouse (reporter)
2011-09-10 02:14

So I've been playing through the levels. The difficulty level is great, not too hard. I haven't yet found a requirement listed in the Guidelines that isn't met by your levels. Time for some individual comments :)

!!!SPOILER ALERT!!!

Above the Clouds: The level was good, but the use of parallax scrolling made me a little sick... Maybe tone it down a little?

Hail Storm: Whoa. Much more difficult than the others. This would be more suitable as an optional level IMO.

Through the Groundwater: Also difficult, but only because of the bouncing snowball that's blocking the way in the underwater part. I ended up giving myself a fireflower using the console to get through.

Crazy Cave: Crazy indeed.

I'm now working on Staple Me, I'll update you when I've got some further comments. Very well done so far!
(0002644)
niso (reporter)
2011-09-10 03:04

Hi Anonymouse!
I will upload a new version of Yeti's Revenge when I finished revising some levels... I played all levels with a incorrect built version of supertux... That's why there are some mistakes...

Above the Clouds: Don't think i have to editi it.
Hail Storm: This level will be completely replaced in the update.
Through the Groundwater: I will delete this bouncing snowball.

Rejoice also in the "fishbox-counter" lmh and me are working for ;)
(0002647)
mol1 (reporter)
2011-09-10 08:52

I think u should add some 'infoBlock', for example in 'controlling the temperature' : 'Hit the Blue box for make temperature up 0 ° C (or 32 F° in the english version) or hit the white block for make the temperature down of It'

And for the final level, the dispensers, should be at 2 for the bouncing snowball and at 1 for the skills
(0002648)
mol1 (reporter)
2011-09-10 08:54

French translation in on the road, but we can't translate some levels as 'intro.stl' because of the dialogues : https://supertux.lethargik.org/bugs/view.php?id=842 [^]
(0002651)
ctdabomb (administrator)
2011-09-10 09:53

Please Do not get rid of Hailstorm it is a fun level.
How do you beat Controlling the temperature?
(0002652)
niso (reporter)
2011-09-10 10:46

Please wait a little bit with the translation... There will be some changes!
(0002653)
lmh (administrator)
2011-09-10 11:49

Niso, the difficulty of that idea will depend on how the fishbox is actually implemented in-game. I assume that you are setting them as powerups, which indeed poses a bit of a challenge. Hiding them in bonusblocks probably makes it harder yet. It may be possible using some trickery with scripted objects or even floating tilemaps. I will certainly think it over and try some things out when I get the chance. Let me know how you're placing the fishboxes in the meantime so I know where to start. And FYI, I'm in Hawaii so that explains the time mismatch ;)
(0002654)
niso (reporter)
2011-09-10 11:53

I wrote a sprite-file for the small-fishbox. I will use the "bonus-block"-function...

Does very level and sublevel need a new name for the fishbox-actions?
(0002655)
niso (reporter)
2011-09-10 11:57

OH SORRY... I WANTED TO SAY: "power-up"-function!!!


@lmh: Shall I insert the fishbox-function or could you do it. I could send you the levels with the fishbox-powerup + the worldmap and you finish it.
(0002658)
lmh (administrator)
2011-09-10 13:08

@niso: you only need a unique name for each fishbox you want to be collected. Thus each sector in a level (as well as the scripted tile on the worldmap for that level) will use the same name. Note that the "worldmap" and "hide_bonus" names are exceptions which are used to make the code work and therefore not included in the count. All other names will be included in the count so they need to correspond to the actual fishboxes used.

You should be able to insert the functions on your own, but if you are having problems I could do it as well. It doesn't matter too much to me, I'd just hate to have you waiting on me if I get too busy.

I am thinking I can make the fishboxes partially transparent once collected using a combination of scripted object and power-up (since I do not believe that the power-ups allow for changing the sprite state). It would work so long as the fishboxes are stationary anyway. I will try to get something put together to show you.
(0002660)
lmh (administrator)
2011-09-10 14:32

Well that took less time than I thought it would (nice when everything works on the first try). Uploading another demo- it only works on one level: "Hail Storm" To make it works for others, you will need a scripted object identical to the one I used but at the coordinates of the fishbox power-up. I made my own sprite, so you will either need to use it or mimic yours after it. In addition to being of a different appearance, I also have it making different sounds upon collection. Let me know what you think.
(0002661)
niso (reporter)
2011-09-10 15:33

That is what I wanted. But I use bigger grafics for the fishboxes - it works for me.
Where can I edit the sound which appears when Tux collects the fishbox. I have a nice applause sound...
(0002662)
lmh (administrator)
2011-09-10 16:09

The sounds can be changed in default.nut, just open the file in a text editor and search for "play_sound" to find it quickly. The sprite can also be easily changed for the larger image.
(0002676)
niso (reporter)
2011-09-11 15:38

@lmh: Hi, could you please tell me how to edit the counter. At the moment it is xx/05. I wanna change the 2nd number.

@all: What do you think... Shall I delete all Zeeklings in the levels "More Of the Blue Mountain" and "Shaft Racing"?
(0002677)
lmh (administrator)
2011-09-11 15:53

@niso: just add more fishbox names to the default.nut file, the total should be automatically updated.
(0002678)
niso (reporter)
2011-09-11 15:55

It works fine - till now. Great Job lmh. I will continue tomorrow.
(0002685)
niso (reporter)
2011-09-12 15:13

Did anybody find some more bugs or something like that which are not listed here?

And: Does anybody has a solution for the dialoge-sequence-problem?
(0002688)
niso (reporter)
2011-09-13 13:18

lmh...Please send me a new nut-file for 30 fishboxes.
The fishbox-names are:

home above end blueone bluetwo waterfalls temperature crazy afraid escape foreign hang latern colder spikes stars without harbor shaft slippery enjoy spooky staple playground groundwater bombastic carry windy freeze bonus
(0002689)
lmh (administrator)
2011-09-13 13:44

niso, here it is. FYI you can generally open and edit the file using any text editor. That way if you make any future changes you will not need to be reliant on me ;)
(0002690)
niso (reporter)
2011-09-13 13:51

I knew how to open it, but I really don't know what I have to write... ;)
So, thank you...

Did you or somebody else found any other bug or something that should be change. Any new idea for the cutscenes?
(0002704)
niso (reporter)
2011-09-14 08:23

OMG... I played through the whole addon with the new supertux version which was posted here. There are a lot bugs ^^ I have to change something.

BUT: I will not find a solution for the cutscenes... hm.
(0002707)
niso (reporter)
2011-09-17 03:03

A little info for all who are waiting for the update of "Yeti's Revenge":

I corrected a lot in the levels. Now there are only some little changes I have to do. It will not take a lot of time to do this.

Some changes I made:
- Changes in the Yeti-fight.
- grafic-changes in the level "Living Spikes"
- Now every level from the main-story includes a hidden fishbox. Find all of them and you reach the bonus levels.

Some changes I will NOT make:
- Cutscene Problem
- New bonus levels

There will be some new levels for all who have already played the current version. Now there are 31 levels in the main-story. I will increase the number of levels to 33. It's better looking ;) This will need some time.

See you...
(0002708)
niso (reporter)
2011-09-17 05:08

Does somebody has an idea or wish for the last 2 levels I will build?
(0002713)
mol1 (reporter)
2011-09-18 08:42

Why not 34 levels for the 0.34 version ?? ;-)
(0002714)
mol1 (reporter)
2011-09-18 08:45

Will U add some Infoblocks ??
It would be great ...
(0002717)
niso (reporter)
2011-09-19 01:32

Infoblocks? I've already added some of them.

34? Omg! ^^ Now I have 32 levels. The 33rd level should include the storyline how Tux comes down from the Top of the Blue Mountain. Has anyone a good idea for this Level?

For now I really don't have an idea how the 34th level could look like.
(0002727)
niso (reporter)
2011-09-22 10:43

I changed my opinion: "Hail Storm" will survive ;)
So now there are 33 levels which include a fishbox...

Now the last time my question: Has anyone another ideas, wishes or bugs to delete?
If not, I will upload the stuff soon. Some of you has to pack it, so that you only have to move a zip-folder to your supertux-directory... (maybe lmh could help my with that again ;) ) I hope that I can change the nut-file by myself :D
(0002728)
fool001 (reporter)
2011-09-23 07:38

Very good levels.
(0002729)
lmh (administrator)
2011-09-23 14:16

I am willing to help you with packaging if you have any problems- you're using Windows right? it should be pretty straight-forward to just select the files, right-click, and send them to a compressed folder. You can unzip any of the others if you are uncertain about the structure and need a guide. If you cannot get it to work, I would be happy to put it together for you (same goes for the nut file).

A suggestion for coming down the Blue Mountain could include an avalanche. Implementation might be difficult to make it look nice though.. Perhaps a hurting platform with customized graphics, or moving tilemap, or combination thereof. Alternatively, I've considered high-yield dispensers being pushed across the level well above where Tux is. I haven't tried it myself, but it might be feasible.

Number of levels aside, I am looking forward to the changes.
(0002730)
niso (reporter)
2011-09-23 15:21

@fool001: Thank you ;) There will be an update soon - then the addon will become even better...

@lmh: Nice to hear from you. When I'm finished, I will upload all files here as "DO NOT DOWNLOAD.zip". My problem: When you pack these addon, there are some hidden files (i don't know their meaning) and all file-names are green... I don't know why and additionally I don't know how to do that... Hope, you know what I mean...
So it's better you do it ;)

Hm...an avalanche... I thought of that, too. But I really don't wanted a new chasing-level. BTW: I finished this level now - i think you will be happy with that ;)

You can send me an nut file for:

home above end blueone bluetwo waterfalls temperature crazy afraid escape foreign hang latern colder spikes stars without harbor shaft slippery enjoy spooky staple playground groundwater bombastic carry windy freeze bonus
hail lost down bridge reaching
(0002735)
niso (reporter)
2011-09-24 15:53

Well...
@all: Please do not download the file which I have uploaded now...

@lmh: Please download "do_not_download.zip", check it and make a good zip file with a correct folder structure (I know I forget about the Mac-Users...)
I also know that I wrote "lotus" instead of "lost" in the nut-file - it's correct.

When you are finished, please upload the new zip-folder as "YETIS_REVENGE_updated.zip".

After that, I will make an official announcement.
Thank you for all...
(0002736)
lmh (administrator)
2011-09-25 11:30

@niso: it turns out all those hidden files and weird formatting you were seeing are just leftovers that my computer insists on placing everywhere- they have no effect on the performance of the set and can be ignored (I was lazy and did so myself, sorry for the resulting confusion). As far as I can tell you got it all correct when you zipped it. It plays fine on for me (if the zip file works in one operating system it will generally work in all others), but I don't have time to play all the way through at the moment to double-check. I will go ahead and change the name and re-upload so that others know that it should be set and can start playing.

I am excited to play through the new revision, and will let you know if I find any issues (may be a bit though, busy with other things like that pesky real life nonsense).
(0002738)
niso (reporter)
2011-09-25 12:46

Thank you very much, lmh! Im sorry...it wasn't my intention to put you under pressure ;)
But...didn't you forget the MacOS-folder???
(0002739)
niso (reporter)
2011-09-25 12:55

Oops...I saw that other addons do not have this Mac-folder, too...So it's also a "leftover" from you computer, isn't it?
(0002740)
niso (reporter)
2011-09-25 13:11

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++ U P D A T E ++++++++++ U P D A T E ++++++++++ U P D A T E ++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

The grand update is now released! Please download "Yetis_Revenge_updated.zip" for the latest version of the addon.

Main changes:
- now all levels work perfectly with the recent Supertux version
- new levels added
- grafic changes in some levels
- a new fishbox-feature
- revised dialogues
- known bugs are removed now
(0002747)
niso (reporter)
2011-09-28 02:34

Has anybody played the new version?

I don't know...is my addon already an official one?
(0002752)
semajD (reporter)
2011-09-29 08:53

I like the fishboxes, niso! And from what I have played this update looks a lot better. However, the level "Carry Me" did not work for me. When I tried to play it, it would close my Supertux window. Keep up the good work....
(0002755)
ctdabomb (administrator)
2011-09-29 11:43

I like the update, but all the new didn't work for me. I have 3.3
(0002757)
lmh (administrator)
2011-09-29 17:16

For those who are having issue playing the set in 0.3.3 on Windows, there is an installer (kindly compiled by Mister Ypsilon) for the current SVN which is available here:
http://www.file-upload.net/download-3731999/SuperTux-r6693.exe.html [^]
It contains everything needed to run it on Windows, just download and run the installer. So go upgrade and enjoy. The rest of you still in 0.3.3 will just have to suffer trying to get SVN working or wait for the next snapshot.

@niso: Very nice. The additions are excellent, and some of those fishboxes are very cleverly hidden- good job. I haven't gotten that sea monster yet, but as soon as I get lucky with that lightning I'll probably have it. In the mean time, I did discover a few bugs:

-Sound: the sea monster's sounds did not play, I've isolated the issue to the names of the sound files. Currently they are in the form *.WAV and need to be
*.wav (lowercase).
-Translation: Nolok says to Tux "It wasn't my attention to kill you.", "attention" should be replaced with "intention"
-Translation: Tux first speaks with the badguys and says: "Oh, that's the first time we are talking together.", try "Oh! You've never spoken with me before." it sounds a little more natural.
-Timers: I can cheat past your timed events when there is a nearby sector change. First activate the timer, then enter a door/pipe leading to another area, wait for the timer to expire, then return. The area will still be in the configuration of the active timer. This is especially noticeable in "Don't Be Afraid" where I was able to trick every timer and never rush. I would suggest an initialization script that sets the alpha of the tilemaps to their default values.
-Moving Tilemaps: When a solid tilemap enters into a region beyond the normal level boundaries it is possible to see beyond the level boundaries and into a region of empty space. This looks very awkward. I noticed this specifically in the bonus section; first when the Big Wave passes the level goal, and then during the sea monster encounter while peeking down (where all the elements of the battle are visible at once). Similarly the water didn't reach the bottom of the screen on the bonus bridge. You might want to add a couple of dummy tilemaps filled with black boxes to mask those areas off.
-Stuck: During the introduction to the bonus area Tux must ride the flying snowball to the level exit. However, if Tux lands on just the edge of the badguy and falls off, he remains deactivated and is unable to finish the level. I had a similar experience in the castle where I triggered on of the dropping platforms before I had actually landed on it causing it to fall early. You may want to shorten the dimensions of the trigger areas to ensure that Tux is where he's suppose to be once the action occurs. Alternatively, write the endsequence into the script in "Something In The Water" (and maybe use custom unstable tiles in the castle since they behave a little better).

I really like how you improved the graphics for your custom blocks, and the new levels were really enjoyable ("Reaching The Top" was quite difficult). The only thing I didn't really like was the seizure-inducing sector inside the castle. I don't think I really did it right (only needed 3 of the potions) but any amount of time there was too much so I didn't go back to try and figure it out. You might want to tone it down a bit with the color changes and coin noises (or even better make it an optional route). As is, it is an effective repellant for trying to get level statistics recorded or replaying the level at all.

I may have an idea on how to skip cut scenes based off of a bonus feature I've been working on. I'm going to try some things and let you know if it will work. Sorry to mention a bunch of bugs, at least they are all mostly minor. Even with them, the set is probably the best that I've played.
(0002760)
niso (reporter)
2011-09-30 06:47

Hi...now I don't have the time to make changes. But...It's an open project. Correct the bugs by yourself.

I'll say "goodbye" to Yeti's Revenge. Have fun while playing it. I hope it will become an official addon...

cu
niso
(0002761)
ctdabomb (administrator)
2011-09-30 09:04

Hello niso, I think I have a solution to some of your cutscene problems.
All you have to do is when the dialogue/cutscene is finished, have tux spawn to another sector with a bell that is exactly the same as the first one except for the cutscene. then if Tux dies, he wont have to go through the dialogue again.
Hope It works for you, CT
(0002763)
niso (reporter)
2011-09-30 10:13

I already had this idea. I thought: "There must be a better solution."

But if you want this...Try it out... I already said: "Yeti's Revenge" is now "open source" more than ever ;)
(0002764)
ctdabomb (administrator)
2011-09-30 11:03

Okay, I might work on it. Also, your add-on is already official.
(0002768)
niso (reporter)
2011-09-30 13:26

Really...I didn't notice it...that's nice!
(0002770)
lmh (administrator)
2011-10-01 14:08

Alright, I'm about to upload another update that addresses the more severe bugs:

-Tux should no longer be able to get stuck on "Something In The Water"
-The unfortunate loss of the custom sea monster sounds is fixed
-A graphical glitch (caused by an extra space after the filename, ugh..) in the messagebox on "Controlling The Temperature" has been corrected

In addition, and probably more noticeable, I was able to fulfill the popular request concerning cut scenes. I worked out a way to show the cut scenes only once without the use of extra/redundant respawn points (using a state variable that is reset when the worldmap is loaded for those interested). Now if you die after watching a cut scene, when you replay the area the scene will either be skipped or significantly reduced (in order to try to preserve the gameplay). If you leave the level by finishing or aborting and then replay you will see the scene again, but only the first time like before. I made the changes off memory and the scenes affected are:

-"Foreign Passenger" both scenes (second only reduced)
-"Escape From Pirates" both the start of the chase and large cannon fire (cannon only reduced)
-Tux's conversation with Nolok
-Tux's conversation with the yeti
-The collapse of the ice in "Big Wave"
-Intro to the sea monster

I tried to preserve the gameplay as best as possible, but a couple of the encounters may be slightly easier second time around. However since it shouldn't be much more of an advantage than arriving at the point with full powerups, and the fact that you died the first time indicates you may need the help anyway, I didn't get too nit-picky about the precision of timing. Nevertheless, if you find that I failed in some way, let me know (I don't have time for a through testing at the moment and could easily have missed something including other cut scenes).
(0003025)
vovin (reporter)
2012-01-27 04:00

I have no idea how to find a fishbox in a level "Freeze 'n' Flee"? Can someone help me? Maybe some video, please.
(0003026)
lmh (administrator)
2012-01-27 10:58

Ooo, this one was tricky indeed. Have you found both secret areas? If you have, the trick is to reach the second one when the water is in its liquid state. Since I currently only have 10s of video capture using the free software on this computer, I'll try to give you a hint and spoiler in words (you can also try asking on the forums: http://forum.freegamedev.net/viewtopic.php?f=69&t=2451 [^]).

HINT: It's easier to enter the second secret area while Tux is small (just like the first); however the fishbox is underwater, which means you have to reach it while things are warm. The trick is that Tux can bounce higher off of short-fuse while small.

SPOILER: The second secret area is located on the top level between the two pipe dispensers dropping streams of short-fuses. There is a wood platform sitting on the ground with a jumpy badguy to its left and a small indentation to its right. Drop into the indentation and move left while small (narrow entrance). To reach the secret area while the water is liquid make sure Tux is small and bounce off of the first stream of short-fuses at the start of the level until you reach the higher level. You will likely need to practice the maneuver, I just hold down the jump key and bounce off the little buggers until I make it.
(0003033)
vovin (reporter)
2012-01-28 01:02

Thank you, I've got it!!! Without your help I would not be able to find it!
(0003103)
niso (reporter)
2012-02-21 11:42

Hi!

I was a little bit bored and decided to play the latest version of Supertux YR.
You've done a great job of solving the problem with the cutscenes! Really good! But:
There a 2 things I would like to see 2 things to be repaired:

1) the 2nd cutscene in Foreign Passenger. When you pass the trigger the 2nd time the screen becomes black for a second.

2) (More urgent) I don't like the new behavior of "Escape from the Pirates". When Tux passes the trigger the 2nd time, the whole level become asynchronously. The cannon balls are now fired at another time. That's not good. Please undo the changes of the cutscene if there is no other solution.

3) The the castle. Please put a check point at the beginning of the spooky room (after the puzzle romm).

I would do all that by myself, but I deleted the editor.

Greets
niso
(0003104)
niso (reporter)
2012-02-21 11:46

Btw: I've tried to create a Let's Play of Yeti's Revenge, but my PC is too old and lame ;)
(0003113)
lmh (administrator)
2012-02-24 10:44

Oh noes! I didn't notice any oddities but I did make the changes rather hastily if I recall. I'll have to go back and take a look at those cutscenes and see if I can clean them up. It might be a while though since I have little free time at the moment.
(0003119)
niso (reporter)
2012-02-24 13:28

It doesn't matter that it will take a long time, but I'm happy that someone will do it sometime in the future ;)
(0003129)
fool001 (reporter)
2012-02-29 06:26

you have to make another worldmap,because yeti's revenge is best addon ever!The water monster is perfect,but sometimes hard.Anyway,it was a great idea!
(0003183)
lmh (administrator)
2012-03-22 21:04

I made the changes requested and have uploaded the result.

The second cutscene in Foreign Passenger no longer momentarily changes the aspect ratio while Tux is deactivated. The second skip in Escape from the Pirates is diabled. And there is a new checkpoint at the start of the spooky room.
(0003190)
niso (reporter)
2012-03-27 08:36

Thanks a lot, lmh...

But, the bug in "Escape from the Pirates" does still exist. Try to play the level twice. The first time and the 2nd time after you died. The cannon balls will be shooted to another time. I hope, you know what I mean...
The level become more easy after dying once.
(0003191)
lmh (administrator)
2012-03-30 11:38

Oh I see. I thought you meant that it was only the second cutscene. I'll take another stab at it next time I get a chance.
(0003193)
niso (reporter)
2012-03-31 05:12

When you are at it, then add this missing background tile, please ;)
http://www.abload.de/img/missingtilekheaa.jpg [^]

BTW: I've tried to capture the game for a Let's Play... but my PC is too old and too slow for it :(
Anyone else interested in it?

Maybe we could ask a big Let's Player on youtube for playing the latest snapshot of supertux. It would help the game to become more popular.
(0003194)
niso (reporter)
2012-03-31 05:43

@lmh: Oh... I've played "Reaching the Top" and I saw that the fishbox-image on the left top is missing!

Another topic: In the level "Carry me" Tux can get stuck after drinking the blue poison and entering the secret area. There must be a possibility to die ;) a spike or something like that.
(0003195)
niso (reporter)
2012-03-31 08:48

Found something new.
The blue coin should be on another place: http://www.abload.de/img/fromheretohered5uib.png [^]
(0003234)
Austin (reporter)
2012-08-05 12:18

Help Guys! Please!!
I can't beat "The Way Down"
I Get underground and into the dark part of the level, and then get to the end of the dark part, but after that, I walk into the dark and die every time.
Somebody please tell me how to beat this level!
(0003235)
lmh (administrator)
2012-08-14 17:34

It's a little hard to tell where exactly you're getting stuck. One thing you might try though is to change your screen resolution so that you can see further (although do this from a setting where you can exit the program easily since you're likely to be stuck with a blank screen until you restart the game).
(0003236)
Austin (reporter)
2012-08-17 05:22

Never mind, I found the switch and beat it, but I am wondering how to get to the secret area- I see a ladder and some coins above the first checkpoint but I can't reach them.
(0003255)
lmh (administrator)
2012-12-20 14:23

Accessible via the Addon Manager in GIT revision 947098af8085.
However, I have yet to implement the last round of author changes.
(0003261)
lmh (administrator)
2013-01-09 20:47

Update 4 now uploaded and also included in addons revision a6844f1e3537. Includes the following changes:

- removed shortened cut-scenes from Escape From Pirates
- fixed background glitch in Staple Me
- corrected issue preventing fishbox counter from appearing in Reaching the Top
- added a means for death to prevent getting stuck in secret area in Carry Me
- moved fourth blue coin to correct location in Shaft Racing
(0003750)
niso (reporter)
2015-09-19 06:20

The clapping sound for collecting the fishboxes is not working. Somebody has to edit the default.nut-file:

play_sound("sounds/clapping.wav") -> play_sound("sounds/clapping.ogg")
(0003751)
niso (reporter)
2015-09-27 04:11

I renamed all .ogg-files (of the Yetis_Revenge-folder) to .wav-files without editing the default.nut-file. Now it works (for me).

I don't know if somebody has noticed: The game (latest snapshot) crashes after Krosh hits the seamonster in the very last level.
(0003760)
Tobbi (administrator)
2015-10-16 14:10

Would you be able to get a stack trace, or some more information about this crash?

- Issue History
Date Modified Username Field Change
2011-08-15 11:02 niso New Issue
2011-08-15 11:02 niso File Added: niso's addon.zip
2011-08-15 11:05 niso Issue Monitored: niso
2011-08-15 15:23 lmh Note Added: 0002511
2011-08-15 15:24 lmh File Added: yetis_revenge_full.zip
2011-08-15 15:52 niso Note Added: 0002512
2011-08-16 04:08 niso Note Added: 0002513
2011-08-16 06:29 mol1 Note Added: 0002515
2011-08-16 07:40 niso Note Added: 0002516
2011-08-16 08:23 mol1 Note Added: 0002517
2011-08-16 08:24 mol1 Note Added: 0002519
2011-08-19 07:11 hume2 Note Added: 0002523
2011-08-19 08:33 niso Note Added: 0002524
2011-08-19 08:40 giby Note Added: 0002525
2011-08-19 09:11 niso Note Added: 0002526
2011-08-19 17:14 lmh Note Added: 0002528
2011-08-20 03:45 niso Note Added: 0002529
2011-08-20 17:40 lmh Note Added: 0002530
2011-08-22 10:31 Luis Tag Attached: bad level named: more of blue mountain.
2011-08-22 10:32 Luis Tag Detached: bad level named: more of blue mountain.
2011-08-22 10:48 Luis Note Added: 0002531
2011-08-23 08:40 niso Note Added: 0002534
2011-08-24 02:18 niso Note Added: 0002540
2011-08-24 14:56 lmh Note Added: 0002543
2011-08-24 14:57 lmh File Added: yr-coin_demo.zip
2011-08-27 08:11 treskalle Note Added: 0002546
2011-08-27 08:56 user767 Note Added: 0002547
2011-08-27 09:39 niso Note Added: 0002548
2011-08-27 14:41 niso Note Added: 0002550
2011-08-27 17:54 lmh Note Added: 0002551
2011-08-29 10:32 niso Note Added: 0002559
2011-08-31 02:18 mol1 Note Added: 0002572
2011-08-31 02:45 rgcjonas Note Added: 0002574
2011-09-02 05:19 niso Note Added: 0002592
2011-09-02 16:24 lmh Note Added: 0002595
2011-09-02 16:25 lmh File Added: yr-fishbox_demo.zip
2011-09-02 20:00 rjaguar3 Note Added: 0002596
2011-09-03 12:05 semajD Note Added: 0002597
2011-09-04 02:06 Luis Note Added: 0002599
2011-09-04 02:09 Luis Note Added: 0002600
2011-09-04 13:56 niso Note Added: 0002604
2011-09-04 14:08 niso Note Added: 0002605
2011-09-06 14:05 lmh Note Added: 0002611
2011-09-06 14:07 lmh File Added: yr-fishbox_counter_demo.zip
2011-09-07 12:54 ctdabomb Note Added: 0002616
2011-09-07 13:11 Ozemir_Elion Note Added: 0002619
2011-09-08 13:56 niso Note Added: 0002625
2011-09-08 23:35 lmh Note Added: 0002627
2011-09-08 23:37 lmh File Added: yr-fishbox_counter_demo_2.zip
2011-09-09 03:25 niso Note Added: 0002628
2011-09-09 03:36 niso Note Added: 0002629
2011-09-09 05:32 Ozemir_Elion Note Added: 0002630
2011-09-09 05:35 Ozemir_Elion Note Added: 0002631
2011-09-09 10:35 niso Note Added: 0002632
2011-09-09 10:55 Ozemir_Elion Note Added: 0002634
2011-09-09 11:05 Ozemir_Elion Note Added: 0002635
2011-09-09 13:01 lmh Note Added: 0002637
2011-09-09 13:02 lmh File Added: yr-fishbox_counter_demo_3.zip
2011-09-09 14:48 niso Note Added: 0002638
2011-09-09 16:24 lmh Note Added: 0002640
2011-09-09 16:25 lmh File Added: yr-fishbox_counter_demo_4.zip
2011-09-09 16:35 niso Note Added: 0002641
2011-09-09 16:46 niso Note Added: 0002642
2011-09-10 02:14 Anonymouse Note Added: 0002643
2011-09-10 03:04 niso Note Added: 0002644
2011-09-10 08:52 mol1 Note Added: 0002647
2011-09-10 08:54 mol1 Note Added: 0002648
2011-09-10 09:53 ctdabomb Note Added: 0002651
2011-09-10 10:46 niso Note Added: 0002652
2011-09-10 11:49 lmh Note Added: 0002653
2011-09-10 11:53 niso Note Added: 0002654
2011-09-10 11:57 niso Note Added: 0002655
2011-09-10 13:08 lmh Note Added: 0002658
2011-09-10 14:32 lmh Note Added: 0002660
2011-09-10 14:33 lmh File Added: yr-fishbox_found_demo.zip
2011-09-10 15:33 niso Note Added: 0002661
2011-09-10 16:09 lmh Note Added: 0002662
2011-09-11 15:38 niso Note Added: 0002676
2011-09-11 15:53 lmh Note Added: 0002677
2011-09-11 15:55 niso Note Added: 0002678
2011-09-12 15:13 niso Note Added: 0002685
2011-09-13 13:18 niso Note Added: 0002688
2011-09-13 13:40 lmh File Added: default.nut.zip
2011-09-13 13:44 lmh Note Added: 0002689
2011-09-13 13:51 niso Note Added: 0002690
2011-09-14 08:23 niso Note Added: 0002704
2011-09-17 03:03 niso Note Added: 0002707
2011-09-17 05:08 niso Note Added: 0002708
2011-09-18 08:42 mol1 Note Added: 0002713
2011-09-18 08:45 mol1 Note Added: 0002714
2011-09-19 01:32 niso Note Added: 0002717
2011-09-22 10:43 niso Note Added: 0002727
2011-09-23 07:38 fool001 Note Added: 0002728
2011-09-23 14:16 lmh Note Added: 0002729
2011-09-23 15:21 niso Note Added: 0002730
2011-09-24 15:53 niso Note Added: 0002735
2011-09-24 15:56 niso File Added: do_not_download.zip
2011-09-25 11:30 lmh Note Added: 0002736
2011-09-25 11:32 lmh File Added: YETIS_REVENGE_updated.zip
2011-09-25 12:46 niso Note Added: 0002738
2011-09-25 12:55 niso Note Added: 0002739
2011-09-25 13:11 niso Note Added: 0002740
2011-09-28 02:34 niso Note Added: 0002747
2011-09-29 08:53 semajD Note Added: 0002752
2011-09-29 11:43 ctdabomb Note Added: 0002755
2011-09-29 17:16 lmh Note Added: 0002757
2011-09-30 06:47 niso Note Added: 0002760
2011-09-30 09:04 ctdabomb Note Added: 0002761
2011-09-30 10:13 niso Note Added: 0002763
2011-09-30 11:03 ctdabomb Note Added: 0002764
2011-09-30 13:26 niso Note Added: 0002768
2011-10-01 14:08 lmh Note Added: 0002770
2011-10-01 14:10 lmh File Added: YETIS_REVENGE_update2.zip
2011-10-23 09:51 sik0fewl Project supertux => supertux-contrib
2012-01-24 13:03 lmh Relationship added related to 0000646
2012-01-27 04:00 vovin Note Added: 0003025
2012-01-27 10:58 lmh Note Added: 0003026
2012-01-28 01:02 vovin Note Added: 0003033
2012-02-21 11:42 niso Note Added: 0003103
2012-02-21 11:46 niso Note Added: 0003104
2012-02-24 10:44 lmh Note Added: 0003113
2012-02-24 13:28 niso Note Added: 0003119
2012-02-29 06:26 fool001 Note Added: 0003129
2012-03-22 19:57 lmh File Added: YETIS_REVENGE_update3.zip
2012-03-22 21:04 lmh Note Added: 0003183
2012-03-22 21:09 lmh Note Added: 0003184
2012-03-22 23:27 lmh Note Deleted: 0003184
2012-03-27 08:36 niso Note Added: 0003190
2012-03-30 11:38 lmh Note Added: 0003191
2012-03-30 11:39 lmh Note Added: 0003192
2012-03-30 11:41 lmh Note Deleted: 0003192
2012-03-31 05:12 niso Note Added: 0003193
2012-03-31 05:43 niso Note Added: 0003194
2012-03-31 08:48 niso Note Added: 0003195
2012-08-05 12:18 Austin Note Added: 0003234
2012-08-14 17:34 lmh Note Added: 0003235
2012-08-17 05:22 Austin Note Added: 0003236
2012-09-08 06:21 superdev Tag Attached: AttachedFiles
2012-12-20 14:21 lmh Assigned To => lmh
2012-12-20 14:21 lmh Status new => assigned
2012-12-20 14:23 lmh Note Added: 0003255
2013-01-09 20:41 lmh File Added: YETIS_REVENGE_update4.zip
2013-01-09 20:47 lmh Note Added: 0003261
2013-01-09 20:47 lmh Status assigned => resolved
2013-01-09 20:47 lmh Resolution open => fixed
2015-09-19 06:20 niso Note Added: 0003750
2015-09-27 04:11 niso Note Added: 0003751
2015-10-16 14:10 Tobbi Note Added: 0003760


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker